<!--
 * 严肃声明：
 * 开源版本请务必保留此注释头信息，若删除我方将保留所有法律责任追究！
 * 本系统已申请软件著作权，受国家版权局知识产权以及国家计算机软件著作权保护！
 * 可正常分享和学习源码，不得用于违法犯罪活动，违者必究！
 * Copyright (c) 2020 陈尼克 all rights reserved.
 * 版权所有，侵权必究！
 *
-->

<template>
    <div>
       <LHeader v-bind:text="text"></LHeader>
        <div class="card" v-for="(item,index) in checkedConfirmList"  :key="index"  @click="cardLocation(item)">
            <div>负责人：{{item.name}}</div>
            <div>部门名称：{{item.realName}}</div>
            <div>开始时间：{{item.planStartTime}}</div>
            <div>结束时间：{{item.planEndTime}}</div>
            <div>检查地点：{{item.address}}</div>
            <div>检查类型：{{item.type}}</div>
        </div>
        <tab-bar :index="1"></tab-bar>
    </div>
</template>

<script>
import tabBar from "@/components/TabBar";
import LHeader from '@/components/header.vue'
import { getFun,postFun } from '@/service/table'
export default {
    name: 'checked-confirm',
    components: {
        "LHeader":LHeader,
        "tabBar":tabBar
    },
    data() {
        return {
            checkedConfirmList:[],//检查确认列表
            text:'检查确认列表',//顶部文本
        }
    },
    mounted() {
        this.list()
    },
    methods: {
        /* 首次进入页面请求检查执行列表接口 */
        list(){
            this.checkedConfirmList=[]
            this.$toast.loading({
                message:'加载中...',
                forbidClick: true,
                loadingType: 'spinner',
                duration: 0
            })
            getFun('check/confirm/list').then((Response)=>{
                this.checkedConfirmList=Response.data
                this.$toast.clear()
            }).catch(()=>{
                this.$toast.clear()
                this.$toast.fail('加载失败,请稍后再试')
            })
        },
        cardLocation(item){
            this.$router.push({name:'confirmNote',query:{projectId:item.projectId,id:item.id}})//此id来判断是否加载问题上报新数据
        }
    }
}
</script>
<style lang="less" scoped>
    .card{
        width:90%;
        box-shadow: 0px 0px 10px 2px #F3F3F3;
        padding: 0.25rem;
        margin:0.4rem auto;
        background: white;
        border-radius: 4%;
    }
    .card div{
        font-size: 0.4rem;
        line-height: 0.8rem;
    }
</style>
